ランタイム: Mix::Scene::IViewCamera Class Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
Mix::Scene::IViewCamera Class Referenceabstract

ビューカメラインターフェース More...

`#include <IViewCamera.h>`

Inheritance diagram for Mix::Scene::IViewCamera:
[legend]
Collaboration diagram for Mix::Scene::IViewCamera:
[legend]

## Public Member Functions

virtual void | SetView (const Mix::Vector3 &at, const Mix::Quaternion &rotation, Float32 distance)=0
| ビューを設定します More...
virtual void | SetAt (const Mix::Vector3 &at)=0
| 注視点を設定します More...
virtual const Mix::Quaternion & | GetRotation (void) const =0
| 注視点を中心とした回転を取得します More...
virtual const Mix::Matrix4x4 & | GetRotationMatrix (void) const =0
| 注視点を中心とした回転を取得します More...
virtual void | SetRotation (const Mix::Quaternion &rotation)=0
| 注視点を中心とした回転を設定します More...
virtual Float32 | GetDistance (void) const =0
| 注視点までの距離を取得します More...
virtual void | SetDistance (Float32 distance)=0
| 注視点までの距離を設定します More...
Public Member Functions inherited from Mix::Scene::ICamera
virtual UInt32 | GetID (void) const =0
| 識別子を取得します More...
virtual const Mix::Scene::CAMERA_CONFIG & | GetConfig (void) const =0
| 設定を取得します More...
virtual Boolean | SetConfig (const Mix::Scene::CAMERA_CONFIG &config)=0
| 設定をします More...
virtual Float32 | GetFovY (void) const =0
| 垂直方向の画角を取得します More...
virtual Float32 | GetDefaultAspect (void) const =0
| デフォルトのアスペクト比を取得します More...
virtual Float32 | GetAspect (void) const =0
| アスペクト比を取得します More...
virtual Float32 | GetNearZ (void) const =0
| 手前のクリップ値を取得します More...
virtual Float32 | GetFarZ (void) const =0
| 奥のクリップ値を取得します More...
virtual const Mix::Matrix4x4 & | GetProjectionMatrix (void) const =0
| 射影行列を取得します More...
virtual void | SetProjection (Float32 fovY, Float32 nearZ, Float32 farZ)=0
| プロジェクションを設定します More...
virtual void | SetProjection (Float32 fovY, Float32 aspect, Float32 nearZ, Float32 farZ)=0
| プロジェクションを設定します More...
virtual void | SetProjection (Float32 fovY, UInt32 width, UInt32 height, Float32 nearZ, Float32 farZ)=0
| 射影行列を設定します More...
virtual void | Update (Float32 dt=0.016f)=0
| 更新します More...
virtual const Mix::Vector3 & | GetEye (void) const =0
| 視点を取得します More...
virtual const Mix::Vector3 & | GetAt (void) const =0
| 注視点を取得します More...
virtual const Mix::Vector3 & | GetViewVector (void) const =0
| ビューのベクトル(正規化されていない)を取得します More...
virtual const Mix::Vector3 & | GetViewForward (void) const =0
| ビューの前方向(正規化されている)を取得します More...
virtual const Mix::Vector3 & | GetViewUpward (void) const =0
| ビューの上方向(正規化されている)を取得します More...
virtual const Mix::Vector3 & | GetViewCrossDirection (void) const =0
| ビューの横方向(正規化されている)を取得します More...
virtual const Mix::Matrix4x4 & | GetViewMatrix (void) const =0
| ビュー行列を取得します More...
virtual const Mix::Geometry::Frustum & | GetFrustum (void) const =0
| フラスタムを取得します More...
virtual const Mix::Matrix4x4 & | GetViewProjectionMatrix (void) const =0
| 透視変換行列を取得します More...
virtual const Mix::Matrix4x4 & | GetInvViewProjectionMatrix (void) const =0
| 逆透視変換行列を取得します More...
virtual const Mix::Matrix4x4 & | GetBillboardMatrix (void) const =0
| ビルボード行列を取得します More...
virtual const Mix::Matrix4x4 & | GetBillboardMatrixY (void) const =0
| Y軸固定のビルボード行列を取得します More...
virtual Mix::Point | Project (const Mix::Vector3 &pos) const =0
| ワールド座標をスクリーン座標へ変換します More...
virtual Mix::Point | Project (const Mix::Point &viewPos, const Mix::Vector3 &pos) const =0
| ワールド座標をスクリーン座標へ変換します More...
virtual Mix::Point | Project (const Mix::Rectangle &viewRect, const Mix::Vector3 &pos) const =0
| ワールド座標をスクリーン座標へ変換します More...
virtual Mix::Vector3 | Unproject (const Mix::Point &pos, Float32 z) const =0
| スクリーン座標をワールド座標へ変換します More...
virtual Mix::Vector3 | Unproject (const Mix::Point &viewPos, const Mix::Point &pos, Float32 z) const =0
| スクリーン座標をワールド座標へ変換します More...
virtual Mix::Vector3 | Unproject (const Mix::Rectangle &viewRect, const Mix::Point &pos, Float32 z) const =0
| スクリーン座標をワールド座標へ変換します More...
virtual Boolean | DragObject (const Mix::Point &pos)=0
| シーン内のオブジェクトをドラッグします More...
virtual Boolean | DragObject (const Mix::Point &screenPos, const Mix::Point &pos)=0
| シーン内のオブジェクトをドラッグします More...
virtual Boolean | DragObject (const Mix::Rectangle &screenRect, const Mix::Point &pos)=0
| シーン内のオブジェクトをドラッグします More...
virtual const Mix::Vector4 & | GetBackgroundColor (void) const =0
| バックグラウンドカラーを取得します More...
virtual void | SetBackgroundColor (const Mix::Vector4 &color)=0
| バックグラウンドカラーを設定します More...
virtual Mix::Graphics::TEXTURE_FILTER_TYPE | GetFilterType (void) const =0
| フィルターのタイプを取得します More...
virtual void | SetFilterType (Mix::Graphics::TEXTURE_FILTER_TYPE type)=0
| フィルターのタイプを設定します More...
virtual Boolean | Draw (void)=0
| 描画します More...
virtual Boolean | IsUnderWater (void) const =0
| 水中にいるかどうかを確認します More...
virtual const Mix::Scene::ICamera::VISIBILITY_SETTINGS & | GetVisiblitySettings (void) const =0
| 設定を取得します More...
virtual void | SetVisiblitySettings (const Mix::Scene::ICamera::VISIBILITY_SETTINGS &settings)=0
| 設定をします More...
virtual Boolean | IsAmbientOcclusionEnabled (void) const =0
| 有効かどうかを確認します More...
virtual void | SetAmbientOcclusionEnabled (Boolean state)=0
| 有効にするかどうかを設定します More...
virtual const Mix::Scene::ICamera::AMBIENT_OCCLUSION_SETTINGS & | GetAmbientOcclusionSettings (void) const =0
| 設定を取得します More...
virtual void | SetAmbientOcclusionSettings (const Mix::Scene::ICamera::AMBIENT_OCCLUSION_SETTINGS &settings)=0
| 設定をします More...
virtual Boolean | GetAmbientOcclusionTexture (Mix::Graphics::ITexture **ppTex)=0
| テクスチャを取得します。 More...
virtual void | SetAmbientOcclusionTexture (Mix::Graphics::ITexture *pTex)=0
| テクスチャを設定します。 More...
virtual Boolean | IsShadowMappingEnabled (void) const =0
| 有効かどうかを確認します More...
virtual void | SetShadowMappingEnabled (Boolean state)=0
| 有効にするかどうかを設定します More...
virtual const Mix::Scene::ICamera::SHADOW_MAPPING_SETTINGS & | GetShadowMappingSettings (void) const =0
| 設定を取得します More...
virtual void | SetShadowMappingSettings (const Mix::Scene::ICamera::SHADOW_MAPPING_SETTINGS &settings)=0
| 設定をします More...
virtual const Mix::Scene::ICamera::LUMINOSITY_SETTINGS & | GetLuminositySettings (void) const =0
| 設定を取得します More...
virtual void | SetLuminositySettings (const Mix::Scene::ICamera::LUMINOSITY_SETTINGS &settings)=0
| 設定をします More...
virtual UInt32 | ResumeLuminosityAdaptation (void)=0
| 輝度順応のサスペンドカウントを１減らします More...
virtual UInt32 | SusupendLuminosityAdaptation (void)=0
| 輝度順応のサスペンドカウントを１増やします More...
virtual UInt32 | GetLuminosityAdaptationSuspendCount (void) const =0
| 輝度順応のサスペンドカウントを取得します More...
virtual void | ForceLuminosityAdaptation (void)=0
| 強制的に現在の輝度に順応させます More...
virtual void | SetLuminosityAdaptation (Float32 lum)=0
| 指定した輝度に順応させます More...
virtual Boolean | IsBloomEnabled (void) const =0
| 有効かどうかを確認します More...
virtual void | SetBloomEnabled (Boolean state)=0
| 有効にするかどうかを設定します More...
virtual UInt32 | GetBloomOverflowNum (void) const =0
| オーバーフローの数を取得します More...
virtual const Mix::Scene::ICamera::BLOOM_OVERFLOW & | GetBloomOverflow (UInt32 index) const =0
| オーバーフローを取得します More...
virtual void | SetBloomOverflow (UInt32 index, const Mix::Scene::ICamera::BLOOM_OVERFLOW &overflow)=0
| オーバーフローを設定します More...
virtual const Mix::Scene::ICamera::BLOOM_SETTINGS & | GetBloomSettings (void) const =0
| 設定を取得します More...
virtual void | SetBloomSettings (const Mix::Scene::ICamera::BLOOM_SETTINGS &settings)=0
| 設定をします More...
virtual Boolean | IsLightShaftsEnabled (void) const =0
| 有効かどうかを確認します More...
virtual void | SetLightShaftsEnabled (Boolean state)=0
| 有効にするかどうかを設定します More...
virtual const Mix::Scene::ICamera::LIGHT_SHAFTS_SETTINGS & | GetLightShaftsSettings (void) const =0
| 設定を取得します More...
virtual void | SetLightShaftsSettings (const Mix::Scene::ICamera::LIGHT_SHAFTS_SETTINGS &settings)=0
| 設定をします More...
virtual Boolean | GetLightShaftsTexture (Mix::Graphics::ITexture **ppTex)=0
| テクスチャを取得します。 More...
virtual void | SetLightShaftsTexture (Mix::Graphics::ITexture *pTex)=0
| テクスチャを設定します。 More...
virtual Boolean | IsLensFlareEnabled (void) const =0
| 有効かどうかを確認します More...
virtual void | SetLensFlareEnabled (Boolean state)=0
| 有効にするかどうかを設定します More...
virtual const Mix::Scene::ICamera::LENS_FLARE_SETTINGS & | GetLensFlareSettings (void) const =0
| 設定を取得します More...
virtual void | SetLensFlareSettings (const Mix::Scene::ICamera::LENS_FLARE_SETTINGS &settings)=0
| 設定をします More...
virtual Boolean | GetLensFlareTexture (Mix::Scene::ICamera::LENS_FLARE_TEXTURE_TYPE type, Mix::Graphics::ITexture **ppTexture)=0
| 装飾するテクスチャを取得します More...
virtual void | SetLensFlareTexture (Mix::Scene::ICamera::LENS_FLARE_TEXTURE_TYPE type, Mix::Graphics::ITexture *pTexture)=0
| 装飾するテクスチャを設定します More...
virtual Boolean | IsFilmicEnabled (void) const =0
| 有効かどうかを確認します。 More...
virtual void | SetFilmicEnabled (Boolean state)=0
| 有効にするかどうかを設定します。 More...
virtual Mix::Scene::ICamera::FILMIC_TYPE | GetFilmicType (void) const =0
| タイプを取得します More...
virtual Boolean | GetFilmicSettings (void *pSettings, UInt32 size) const =0
| パラメータを取得します More...
virtual Boolean | SetFilmicType (Mix::Scene::ICamera::FILMIC_TYPE type, const void *pSettings=NULL, UInt32 size=0)=0
| タイプを設定します More...
virtual Boolean | IsGammaEnabled (void) const =0
| 有効かどうかを確認します More...
virtual void | SetGammaEnabled (Boolean state)=0
| 有効にするかどうかを設定します More...
virtual const Mix::Vector3 & | GetGammaValue (void) const =0
| 値を取得します More...
virtual void | SetGammaValue (const Mix::Vector3 &value)=0
| 値を設定します More...
virtual void | SetGammaValue (Float32 value)=0
| 値を設定します More...
virtual Boolean | IsMotionBlurEnabled (void) const =0
| 有効かどうかを確認します More...
virtual void | SetMotionBlurEnabled (Boolean state)=0
| 有効にするかどうかを設定します More...
virtual const Mix::Scene::ICamera::MOTION_BLUR_SETTINGS & | GetMotionBlurSettings (void) const =0
| 設定を取得します More...
virtual void | SetMotionBlurSettings (const Mix::Scene::ICamera::MOTION_BLUR_SETTINGS &settings)=0
| 設定をします More...
virtual Boolean | IsMotionBlurActivated (void) const =0
| 活動状態かどうかを確認します More...
virtual UInt32 | GetMotionBlurCurrentAmount (void) const =0
| 現在保持されている状態の数を取得します More...
virtual Boolean | IsChromatismEnabled (void) const =0
| 有効かどうかを確認します More...
virtual void | SetChromatismEnabled (Boolean state)=0
| 有効にするかどうかを設定します More...
virtual const Mix::Scene::ICamera::CHROMATISM_SETTINGS & | GetChromatismSettings (void) const =0
| 設定を取得します More...
virtual void | SetChromatismSettings (const Mix::Scene::ICamera::CHROMATISM_SETTINGS &settings)=0
| 設定します More...
virtual Boolean | IsDofEnabled (void) const =0
| 有効かどうかを確認します More...
virtual void | SetDofEnabled (Boolean state)=0
| 有効にするかどうかを設定します More...
virtual const Mix::Scene::ICamera::DOF_SETTINGS & | GetDofSettings (void) const =0
| 設定を取得します More...
virtual void | SetDofSettings (const Mix::Scene::ICamera::DOF_SETTINGS &settings)=0
| 設定します More...
virtual Boolean | IsLensDistortionEnabled (void) const =0
| 有効かどうかを確認します More...
virtual void | SetLensDistortionEnabled (Boolean state)=0
| 有効にするかどうかを設定します More...
virtual const Mix::Scene::ICamera::DISTORTION_SETTINGS & | GetLendDistortionSettings (void) const =0
| 設定を取得します More...
virtual void | SetLendDistortionSettings (const Mix::Scene::ICamera::DISTORTION_SETTINGS &settings)=0
| 設定します More...
virtual Boolean | IsVignetteEnabled (void) const =0
| 有効かどうかを確認します More...
virtual void | SetVignetteEnabled (Boolean state)=0
| 有効にするかどうかを設定します More...
virtual const Mix::Scene::ICamera::VIGNETTE_SETTINGS & | GetVignetteSettings (void) const =0
| 設定を取得します More...
virtual void | SetVignetteSettings (const Mix::Scene::ICamera::VIGNETTE_SETTINGS &settings)=0
| 設定をします More...
virtual Mix::Scene::ICamera::ANTIALIASING_TYPE | GetAntiAliasingType (void) const =0
| タイプを取得します More...
virtual void | SetAntiAliasingType (Mix::Scene::ICamera::ANTIALIASING_TYPE type)=0
| タイプを設定します More...
virtual void | Debug_SetFillType (Mix::Graphics::FILL_TYPE type)=0
| フィルタイプを設定します More...
virtual Mix::Graphics::FILL_TYPE | Debug_GetFillType (void) const =0
| フィルタイプを取得します More...
virtual void | Debug_SetDrawMethod (Mix::Scene::DEBUG_DRAW_METHOD method)=0
| 描画メソッドを設定します More...
virtual Mix::Scene::DEBUG_DRAW_METHOD | Debug_GetDrawMethod (void) const =0
| 描画メソッドを取得します More...
virtual void | Debug_SetDrawFlags (UInt32 flags)=0
| 描画フラグを設定します More...
virtual UInt32 | Debug_GetDrawFlags (void) const =0
| 描画フラグを取得します More...
virtual const Mix::Scene::ICamera::DEBUG_DRAW_FILIMIC_SETTINGS & | Debug_GetDrawFilmicSettings (void) const =0
| フィルミックの描画設定を取得します More...
virtual void | Debug_SetDrawFilmicSettings (const Mix::Scene::ICamera::DEBUG_DRAW_FILIMIC_SETTINGS &settings)=0
| フィルミックの描画設定をします More...
virtual UInt32 | Debug_GetProfile (UInt32 type, void *pProf, UInt32 size) const =0
| プロファイルを取得します More...
virtual UInt32 | Debug_GetImageNum (UInt32 type) const =0
| イメージの数を取得します More...
virtual Boolean | Debug_GetImage (UInt32 type, UInt32 index, Mix::Graphics::ITexture **ppTexture)=0
| イメージを取得します More...
Public Member Functions inherited from Mix::Scene::IRendererObject
virtual Mix::Scene::IRendererObject::TYPE | GetType (void) const =0
| 種類を取得します More...
virtual Boolean | IsRendering (void) const =0
| レンダリングされているかどうかを確認します。 More...
Public Member Functions inherited from Mix::Reference
void | AddRef (void)
| 参照数を 1 増やします More...
void | Release (void)
| 参照数を 1 減らします More...
Long32 | GetRefCount (void)
| 参照数を取得します More...

## Protected Member Functions

virtual | ~IViewCamera (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Scene::ICamera
virtual | ~ICamera (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Scene::IRendererObject
virtual | ~IRendererObject (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Reference
| MIX_DECLARE_ALLOCATOR ()
| Reference (void)
| コンストラクタ More...
| Reference (Long32 count)
| コンストラクタ More...
virtual | ~Reference (void)
| デストラクタ More...

## Additional Inherited Members

Public Types inherited from Mix::Scene::ICamera
enum | SHADOW_MAPPING_PCF_SIZE { SMPS_3 = 0, SMPS_5 = 1, SMPS_7 = 2 }
| シャドウマッピングＰＣＦサイズ列挙定数 More...
enum | LUMINOSITY_FLAG { LUM_TONE_MAPPING = 0x00000001, LUM_BLUE_SHIFT = 0x00000002, LUM_STATIC_MIDDLE_GRAY = 0x00000004 }
| ルミノシティフラグ列挙定数 More...
enum | LIGHT_SHAFTS_SAMPLES { LS_32, LS_64, LS_128 }
| ライトシャフトサンプル数列挙定数 More...
enum | LENS_FLARE_TEXTURE_TYPE { LFT_COLOR = 0, LFT_BRUST = 1, LFT_DIRT = 2 }
| レンズフレア : テクスチャ列挙定数 More...
enum | FILMIC_TYPE { FI_NONE = 0, FI_HEJL = 1, FI_HABLE = 2 }
| フィルミックタイプ列挙定数 More...
enum | MOTION_BLUR_QUALITY { MBQ_LOW = 0, MBQ_MIDDLE = 1, MBQ_HIGH = 2 }
| モーションブラー品質列挙定数 More...
enum | ANTIALIASING_TYPE { AA_NONE = 0, AA_FXAA = 1 }
| アンチエイリアシングタイプ列挙定数 More...
Public Types inherited from Mix::Scene::IRendererObject

enum

TYPE {
UNDEFINED = 0, UNIVERSAL_CAMERA = 1, VIEW_CAMERA = 2, HEMISPHERE_LIGHT = 3,
DIRECTIONAL_LIGHT = 4, SPOT_LIGHT = 5, POINT_LIGHT = 6, SKY_DOME = 7,
ATMOSPHERE_SCATTER = 8, LIGHT_SHAFTS_CASTER = 9, ACTOR_NODE = 10, ACTOR_MODEL = 11,
TERRAIN_MODEL = 12, LEAVING_PARTICLE = 13, SCATTER_PARTICLE = 14, PLANTER = 15,
WATER_POOL = 16, DYNAMICS_WORLD = 17, FLOOR = 18, GHOST = 19
}

| タイプ列挙定数 More...

## Detailed Description

ビューカメラインターフェース

## Constructor & Destructor Documentation

virtual Mix::Scene::IViewCamera::~IViewCamera | ( | void |  | ) |

inlineprotectedvirtual

デストラクタ

## Member Function Documentation

virtual void Mix::Scene::IViewCamera::SetView | ( | const Mix::Vector3 & | at,
|  | const Mix::Quaternion & | rotation,
|  | Float32 | distance
| ) |  |

pure virtual

ビューを設定します

Parameters

  [in] | at | 注視点を表す Mix::Vector3 クラス
  [in] | rotation | ターゲットを基点とした回転を表す Mix::Quaternion クラス
  [in] | distance | ターゲットまでの距離

virtual void Mix::Scene::IViewCamera::SetAt | ( | const Mix::Vector3 & | at | ) |

pure virtual

注視点を設定します

Parameters

  [in] | at | 注視点を表す Mix::Vector3 クラス

virtual const Mix::Quaternion& Mix::Scene::IViewCamera::GetRotation | ( | void |  | ) | const

pure virtual

注視点を中心とした回転を取得します

Returns
  回転を表す Mix::Quaternion クラスを返します

virtual const Mix::Matrix4x4& Mix::Scene::IViewCamera::GetRotationMatrix | ( | void |  | ) | const

pure virtual

注視点を中心とした回転を取得します

Returns
  回転を表す Mix::Matrix4x4 クラスを返します

virtual void Mix::Scene::IViewCamera::SetRotation | ( | const Mix::Quaternion & | rotation | ) |

pure virtual

注視点を中心とした回転を設定します

Parameters

  [in] | rotation | 回転を表す Mix::Quaternion クラス

virtual Float32 Mix::Scene::IViewCamera::GetDistance | ( | void |  | ) | const

pure virtual

注視点までの距離を取得します

Returns
  距離を返します

virtual void Mix::Scene::IViewCamera::SetDistance | ( | Float32 | distance | ) |

pure virtual

注視点までの距離を設定します

Parameters

  [in] | distance | 距離

The documentation for this class was generated from the following file:

- Mix/Scene/IViewCamera.h